Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

Get a badge's tags for editing

POST/v1/badge.getTags
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
badgeIdstringrequired
Responses
200

OK

badgeIdstringrequired
colorsBadgeGetTagsTag[] | nullrequired

Confirmed color tags.

Show properties
Array of BadgeGetTagsTag
idstringrequired
namestringrequired
designsBadgeGetTagsTag[] | nullrequired

Confirmed visual design tags.

Show properties
Array of BadgeGetTagsTag
idstringrequired
namestringrequired
metadataBadgeGetTagsTag[] | nullrequired

Confirmed non-visual metadata tags.

Show properties
Array of BadgeGetTagsTag
idstringrequired
namestringrequired
reviewStatusstring

Status of the badge's tag review queue row. Absent when the badge has no queue row.

Allowed:pendingdoneskippedauto
suggestionsBadgeClaimTagReviewsSuggestions

AI tag suggestions stored on the badge's queue row. Absent when the badge has no queue row.

Show properties
autoAuditbooleanrequired

This prediction was sampled for scout audit instead of being auto-confirmed.

autoColorsBadgeClaimTagReviewsColorSuggestion[] | nullrequired

Already confirmed by the enabled auto-confirm color tier.

Show properties
Array of BadgeClaimTagReviewsColorSuggestion
coveragenumber<double>required
idstringrequired
autoDesignsBadgeClaimTagReviewsDesignSuggestion[] | nullrequired

Already confirmed by the enabled auto-confirm design tier.

Show properties
Array of BadgeClaimTagReviewsDesignSuggestion
confidencenumber<double>required
idstringrequired
colorsBadgeClaimTagReviewsColorSuggestion[] | nullrequired
Show properties
Array of BadgeClaimTagReviewsColorSuggestion
coveragenumber<double>required
idstringrequired
designsBadgeClaimTagReviewsDesignSuggestion[] | nullrequired
Show properties
Array of BadgeClaimTagReviewsDesignSuggestion
confidencenumber<double>required
idstringrequired
proposedDesignsstring[] | nullrequired
tagsVersionstringrequired

Opaque optimistic-concurrency token for the confirmed tag set. Pass it as expectedTagsVersion to setTags.

vocabularyBadgeGetTagsVocabularyrequired
Show properties
colorsBadgeClaimTagReviewsColor[] | nullrequired
Show properties
Array of BadgeClaimTagReviewsColor
hexstring[] | nullrequired
idstringrequired
namestringrequired
designsBadgeClaimTagReviewsDesign[] | nullrequired
Show properties
Array of BadgeClaimTagReviewsDesign
idstringrequired
namestringrequired
metadataBadgeClaimTagReviewsDesign[] | nullrequired
Show properties
Array of BadgeClaimTagReviewsDesign
idstringrequired
namestringrequired
400

Bad Request

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
401

Unauthorized

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
403

Forbidden

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
404

Not Found

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
422

Unprocessable Entity

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.steamsets.com/v1/badge.getTags' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "badgeId": "string"
}'
Response
{
  "badgeId": "string",
  "colors": [
    {
      "id": "string",
      "name": "string"
    }
  ],
  "designs": [
    {
      "id": "string",
      "name": "string"
    }
  ],
  "metadata": [
    {
      "id": "string",
      "name": "string"
    }
  ],
  "reviewStatus": "pending",
  "suggestions": {
    "autoAudit": true,
    "autoColors": [
      {
        "coverage": 0.1,
        "id": "string"
      }
    ],
    "autoDesigns": [
      {
        "confidence": 0.1,
        "id": "string"
      }
    ],
    "colors": [
      {
        "coverage": 0.1,
        "id": "string"
      }
    ],
    "designs": [
      {
        "confidence": 0.1,
        "id": "string"
      }
    ],
    "proposedDesigns": [
      "string"
    ]
  },
  "tagsVersion": "string",
  "vocabulary": {
    "colors": [
      {
        "hex": [
          "string"
        ],
        "id": "string",
        "name": "string"
      }
    ],
    "designs": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "metadata": [
      {
        "id": "string",
        "name": "string"
      }
    ]
  }
}